gnutls_ia_extract_inner_secret(3)

NAME
gnutls_ia_extract_inner_secret - API function

SYNOPSIS
#include <gnutls/extra.h>

void gnutls_ia_extract_inner_secret(gnutls_session_t session, char * buffer);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

char * buffer
    pre-allocated buffer to hold 48 bytes of inner secret.

DESCRIPTION
Copy the 48 bytes large inner secret into the specified buffer This function is typically used after the TLS/IA handshake has concluded. The TLS/IA inner secret can be used as input to a PRF to derive session keys. Do not use the inner secret directly as a session key, because for a resumed session that does not include an application phase, the inner secret will be identical to the inner secret in the original session. It is important to include, for example, the client and server randomness when deriving a sesssion key from the inner secret.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.